<div class="app-container mat-app-background mat-typography">
  <app-menu>
    <app-loading-indicator
      [loaded]="(annotationLoaded$|async)"
      message="Annotations are loading..."
      position="before">
    </app-loading-indicator>
    <svm-slide-viewer
      [selectedSlideId]="(selectedSlideId$|async)"
      [slide]="(slide$|async)"
      [annotationIds]="(annotationIds$|async)"
      [annotations]="(annotations$|async)"
      [highlightAnnotations]="[(selectedAnnotationId$|async)]"
      [annotationCentroidsForClustering]="(centroids$|async)"
      [clusterDistance]="CLUSTER_DISTANCE"
      [removeAnnotations]="(removeAnnotations$|async)"
      [clearAnnotations]="(clearAnnotations$|async)"
      [uiConfig]="uiConfig"
      [focusAnnotation]="(focusAnnotation$|async)"
      [interactionType]="(selectedInteractionType$|async)"
      [allowedInteractionTypes]="(allowedInteractionTypes$|async)"
      [classColorMapping]="(classColorMapping$|async)"
      [examinationState]="(examinationState$|async)"
      [annotationHighlightConfig]="annotationHighlightConfig"
      [updateSlideViewer]="(menuSize$|async)"
      [pixelMapInput]="(pixelMapInput$|async)"
      [pixelMapUpdate]="(pixelMapViewUpdate$|async)"
      [zoomToPixelMapLevel]="(zoomToPixelMapLevel$|async)"
      (doubleClicked)="toggleMenuVisibility()"
      (requestAnnotations)="requestAnnotations($event)"
      (slideMoveEnd)="onViewerMoveEnd($event)"
      (annotationAdded)="onAnnotationCreated($event)"
      (annotationClick)="onAnnotationClicked($event)">
    </svm-slide-viewer>
  </app-menu>
</div>

